org.apache.geode.cache.configuration

## Class DynamicRegionFactoryType

- java.lang.Object
- - org.apache.geode.cache.configuration.DynamicRegionFactoryType

-     @Experimental
      public class DynamicRegionFactoryType
      extends java.lang.Object

  dynamic-region-factory is deprecated. Use functions to create regions dynamically instead. A "dynamic-region-factory" element configures a dynamic region factory for this cache. If this optional element is missing then the cache does not support dynamic regions. The optional "disk-dir" sub-element can be used to specify the directory to store the persistent files that are used for dynamic region bookkeeping. It defaults to the current directory. The pool-name attribute can be used to set the name of the connection pool used by client applications in a client/server cache configuration. It should not be specified in servers or peers.

  Java class for dynamic-region-factory-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="dynamic-region-factory-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="disk-dir" type="{http://geode.apache.org/schema/cache}disk-dir-type" minOccurs="0"/>
             </sequence>
             <attribute name="disable-persist-backup" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="disable-register-interest" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="pool-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `disablePersistBackup`
    `protected java.lang.Boolean` | `disableRegisterInterest`
    `protected DiskDirType` | `diskDir`
    `protected java.lang.String` | `poolName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicRegionFactoryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DiskDirType` | `getDiskDir()` Gets the value of the diskDir property.
    `java.lang.String` | `getPoolName()` Gets the value of the poolName property.
    `java.lang.Boolean` | `isDisablePersistBackup()` Gets the value of the disablePersistBackup property.
    `java.lang.Boolean` | `isDisableRegisterInterest()` Gets the value of the disableRegisterInterest property.
    `void` | `setDisablePersistBackup(java.lang.Boolean value)` Sets the value of the disablePersistBackup property.
    `void` | `setDisableRegisterInterest(java.lang.Boolean value)` Sets the value of the disableRegisterInterest property.
    `void` | `setDiskDir(DiskDirType value)` Sets the value of the diskDir property.
    `void` | `setPoolName(java.lang.String value)` Sets the value of the poolName property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### diskDir

          protected DiskDirType diskDir

    - #### disablePersistBackup

          protected java.lang.Boolean disablePersistBackup

    - #### disableRegisterInterest

          protected java.lang.Boolean disableRegisterInterest

    - #### poolName

          protected java.lang.String poolName

  - ### Constructor Detail

    - #### DynamicRegionFactoryType

          public DynamicRegionFactoryType()

  - ### Method Detail

    - #### getDiskDir

          public DiskDirType getDiskDir()

      Gets the value of the diskDir property.
      Returns:
        possible object is `DiskDirType`

    - #### setDiskDir

          public void setDiskDir(DiskDirType value)

      Sets the value of the diskDir property.
      Parameters:
        `value` - allowed object is `DiskDirType`

    - #### isDisablePersistBackup

          public java.lang.Boolean isDisablePersistBackup()

      Gets the value of the disablePersistBackup property.
      Returns:
        possible object is `Boolean`

    - #### setDisablePersistBackup

          public void setDisablePersistBackup(java.lang.Boolean value)

      Sets the value of the disablePersistBackup property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isDisableRegisterInterest

          public java.lang.Boolean isDisableRegisterInterest()

      Gets the value of the disableRegisterInterest property.
      Returns:
        possible object is `Boolean`

    - #### setDisableRegisterInterest

          public void setDisableRegisterInterest(java.lang.Boolean value)

      Sets the value of the disableRegisterInterest property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getPoolName

          public java.lang.String getPoolName()

      Gets the value of the poolName property.
      Returns:
        possible object is `String`

    - #### setPoolName

          public void setPoolName(java.lang.String value)

      Sets the value of the poolName property.
      Parameters:
        `value` - allowed object is `String`